/*
	execxxx stuff for MiNT/TOS; written by Eric R. Smith, and
	placed in the public domain
*/

#include <stdarg.h>
#include <process.h>
#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <unistd.h>

int
execve(path, argv, envp)
	const char *path;
	char *const *argv;
	char *const *envp;
{
	return _spawnve(P_OVERLAY, path, argv, envp);
}

int
execv(path, argv)
	const char *path;
	char *const *argv;
{
	return _spawnve(P_OVERLAY, path, argv, NULL);
}

#ifdef __STDC__
int execle(const char *path, ...)
#else
int execle(path)
	char	*path;
#endif
{
	va_list args;
	char	***envp;

	va_start(args, path);

	for (envp = (char ***) args ; *envp ; envp++)
		;
	return _spawnve(P_OVERLAY, path, (char **)args, *(envp+1));
}

#ifdef __STDC__
int execl(const char *path, ...)
#else
int execl(path)
	char	*path;
#endif
{
	va_list args;

	va_start(args, path);
	return _spawnve(P_OVERLAY, path, (char **)args, NULL);
}
